/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPERF_FOLLOWER_BPF_SKEL_H__
#define __BPERF_FOLLOWER_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bperf_follower_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *diff_readings;
		struct bpf_map *accum_readings;
		struct bpf_map *filter;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fexit_XXX;
	} progs;
	struct {
		struct bpf_link *fexit_XXX;
	} links;
	struct bperf_follower_bpf__bss {
		enum bperf_filter_type type;
		int enabled;
	} *bss;

#ifdef __cplusplus
	static inline struct bperf_follower_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bperf_follower_bpf *open_and_load();
	static inline int load(struct bperf_follower_bpf *skel);
	static inline int attach(struct bperf_follower_bpf *skel);
	static inline void detach(struct bperf_follower_bpf *skel);
	static inline void destroy(struct bperf_follower_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bperf_follower_bpf__destroy(struct bperf_follower_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bperf_follower_bpf__create_skeleton(struct bperf_follower_bpf *obj);

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bperf_follower_bpf *obj;
	int err;

	obj = (struct bperf_follower_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bperf_follower_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bperf_follower_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open(void)
{
	return bperf_follower_bpf__open_opts(NULL);
}

static inline int
bperf_follower_bpf__load(struct bperf_follower_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open_and_load(void)
{
	struct bperf_follower_bpf *obj;
	int err;

	obj = bperf_follower_bpf__open();
	if (!obj)
		return NULL;
	err = bperf_follower_bpf__load(obj);
	if (err) {
		bperf_follower_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bperf_follower_bpf__attach(struct bperf_follower_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bperf_follower_bpf__detach(struct bperf_follower_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bperf_follower_bpf__elf_bytes(size_t *sz);

static inline int
bperf_follower_bpf__create_skeleton(struct bperf_follower_bpf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bperf_follower_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "diff_readings";
	map->map = &obj->maps.diff_readings;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "accum_readings";
	map->map = &obj->maps.accum_readings;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "filter";
	map->map = &obj->maps.filter;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "bperf_fo.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fexit_XXX";
	s->progs[0].prog = &obj->progs.fexit_XXX;
	s->progs[0].link = &obj->links.fexit_XXX;

	s->data = bperf_follower_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bperf_follower_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x1f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1c\0\
\x01\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\x01\x32\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\
\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x65\x01\x05\0\x02\0\0\0\x15\x01\x13\0\x01\0\0\0\x15\x01\x01\0\x02\0\0\0\x05\0\
\x29\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x05\0\x07\0\0\0\0\0\x15\x01\x05\0\x03\0\0\0\
\x15\x01\x01\0\x04\0\0\0\x05\0\x24\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\
\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x63\x0a\xfc\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\x15\x06\x18\0\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x11\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0c\0\0\0\0\0\x79\x71\
\0\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x20\0\0\0\0\0\0\x79\
\x01\x08\0\0\0\0\0\x79\x72\x08\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x7b\x10\x08\0\0\0\
\0\0\x79\x71\x10\0\0\0\0\0\x79\x02\x10\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x20\
\x10\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\x42\x53\
\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x05\0\x08\0\x03\0\0\
\0\x0c\0\0\0\x14\0\0\0\x1c\0\0\0\x04\xf8\x01\x80\x02\x01\x56\0\x04\xb0\x02\xc0\
\x03\x01\x57\0\x04\xd8\x02\xc0\x03\x01\x50\0\x01\x11\x01\x25\x25\x13\x05\x03\
\x25\x72\x17\x10\x17\x1b\x25\x11\x1b\x12\x06\x73\x17\x8c\x01\x17\0\0\x02\x34\0\
\x03\x25\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x04\x01\x49\x13\x03\
\x25\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x04\x28\0\x03\x25\x1c\x0f\0\0\x05\x24\0\x03\
\x25\x3e\x0b\x0b\x0b\0\0\x06\x01\x01\x49\x13\0\0\x07\x21\0\x49\x13\x37\x0b\0\0\
\x08\x24\0\x03\x25\x0b\x0b\x3e\x0b\0\0\x09\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\0\0\
\x0a\x0d\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0b\x0f\0\x49\x13\0\0\
\x0c\x34\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\0\0\x0d\x26\0\x49\x13\0\0\x0e\x15\0\
\x49\x13\x27\x19\0\0\x0f\x16\0\x49\x13\x03\x25\x3a\x0b\x3b\x0b\0\0\x10\x34\0\
\x03\x25\x49\x13\x3a\x0b\x3b\x05\0\0\x11\x15\x01\x49\x13\x27\x19\0\0\x12\x05\0\
\x49\x13\0\0\x13\x0f\0\0\0\x14\x26\0\0\0\x15\x2e\x01\x03\x25\x3a\x0b\x3b\x0b\
\x27\x19\x49\x13\x20\x21\x01\0\0\x16\x05\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\
\x17\x34\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x18\x0a\0\x03\x25\x3a\x0b\x3b\
\x0b\0\0\x19\x13\x01\x03\x25\x0b\x0b\x3a\x0b\x3b\x05\0\0\x1a\x0d\0\x03\x25\x49\
\x13\x3a\x0b\x3b\x05\x38\x0b\0\0\x1b\x2e\x01\x11\x1b\x12\x06\x40\x18\x7a\x19\
\x03\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x1c\x1d\x01\x31\x13\x11\
\x1b\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x1d\x34\0\x02\x18\x31\x13\0\0\x1e\x34\
\0\x02\x22\x31\x13\0\0\x1f\x0a\0\x31\x13\x11\x1b\0\0\0\x79\x02\0\0\x05\0\x01\
\x08\0\0\0\0\x01\0\x1d\0\x01\x08\0\0\0\0\0\0\0\x02\x06\xd0\x01\0\0\x08\0\0\0\
\x0c\0\0\0\x02\x03\x32\0\0\0\0\x1c\x02\xa1\0\x03\x48\0\0\0\x09\x04\x01\x07\x04\
\x05\x01\x04\x06\x02\x04\x07\x03\x04\x08\x04\0\x05\x04\x07\x04\x02\x0a\x57\0\0\
\0\0\x1d\x02\xa1\x01\x05\x0b\x05\x04\x02\x0c\x66\0\0\0\0\x4e\x02\xa1\x02\x06\
\x72\0\0\0\x07\x76\0\0\0\x0d\0\x05\x0d\x06\x01\x08\x0e\x08\x07\x02\x0f\x85\0\0\
\0\0\x0d\x02\xa1\x03\x09\x20\0\x08\x0a\x03\xae\0\0\0\0\x09\0\x0a\x10\xbf\0\0\0\
\0\x0a\x08\x0a\x11\xd0\0\0\0\0\x0b\x10\x0a\x12\xe1\0\0\0\0\x0c\x18\0\x0b\xb3\0\
\0\0\x06\x57\0\0\0\x07\x76\0\0\0\x06\0\x0b\xc4\0\0\0\x06\x57\0\0\0\x07\x76\0\0\
\0\x04\0\x0b\xd5\0\0\0\x06\x57\0\0\0\x07\x76\0\0\0\x18\0\x0b\xe6\0\0\0\x06\x57\
\0\0\0\x07\x76\0\0\0\x01\0\x02\x13\xfd\0\0\0\0\x14\x02\xa1\x04\x09\x20\0\x0f\
\x0a\x03\xae\0\0\0\0\x10\0\x0a\x10\xbf\0\0\0\0\x11\x08\x0a\x11\xd0\0\0\0\0\x12\
\x10\x0a\x12\xe1\0\0\0\0\x13\x18\0\x02\x14\x31\x01\0\0\0\x1a\x02\xa1\x05\x09\
\x18\0\x16\x0a\x03\xe1\0\0\0\0\x17\0\x0a\x10\xbf\0\0\0\0\x18\x08\x0a\x11\xbf\0\
\0\0\0\x19\x10\0\x0c\x15\x59\x01\0\0\x03\xd6\x0d\x5e\x01\0\0\x0b\x63\x01\0\0\
\x0e\x68\x01\0\0\x0f\x48\0\0\0\x16\x02\x1b\x10\x17\x79\x01\0\0\x03\x7a\x01\x0d\
\x7e\x01\0\0\x0b\x83\x01\0\0\x0e\x88\x01\0\0\x0f\x90\x01\0\0\x19\x02\x1f\x05\
\x18\x07\x08\x0c\x1a\x9c\x01\0\0\x03\x40\x0d\xa1\x01\0\0\x0b\xa6\x01\0\0\x11\
\xb6\x01\0\0\x12\xb6\x01\0\0\x12\xb7\x01\0\0\0\x13\x0b\xbc\x01\0\0\x14\x15\x1b\
\0\x20\x57\0\0\0\x16\x1c\0\x20\xfa\x01\0\0\x17\x1d\0\x23\x68\x01\0\0\x17\x1e\0\
\x23\x68\x01\0\0\x17\x1f\0\x24\xff\x01\0\0\x17\x20\0\x22\x04\x02\0\0\x17\x24\0\
\x22\x04\x02\0\0\x18\x25\0\x3e\0\x0b\x90\x01\0\0\x0b\x68\x01\0\0\x0b\x09\x02\0\
\0\x19\x23\x18\x04\xc3\x1b\x1a\x21\x88\x01\0\0\x04\xc4\x1b\0\x1a\x0a\x88\x01\0\
\0\x04\xc5\x1b\x08\x1a\x22\x88\x01\0\0\x04\xc6\x1b\x10\0\x1b\x06\xd0\x01\0\0\
\x01\x5a\x26\0\x20\x57\0\0\0\x16\x1c\0\x20\xfa\x01\0\0\x1c\xbd\x01\0\0\x07\xb8\
\x01\0\0\0\x20\x05\x1d\x02\x91\x04\xcd\x01\0\0\x1d\x02\x91\0\xd5\x01\0\0\x1e\0\
\xdd\x01\0\0\x1e\x01\xe5\x01\0\0\x1e\x02\xed\x01\0\0\x1f\xf5\x01\0\0\x08\0\0\0\
\xa0\0\0\0\x05\0\0\0\0\0\0\0\x2c\0\0\0\x4f\0\0\0\xe5\0\0\0\xea\0\0\0\xf7\0\0\0\
\x0b\x01\0\0\x1c\x01\0\0\x2d\x01\0\0\x3f\x01\0\0\x51\x01\0\0\x59\x01\0\0\x5d\
\x01\0\0\x65\x01\0\0\x6a\x01\0\0\x7e\x01\0\0\x8c\x01\0\0\x95\x01\0\0\xa0\x01\0\
\0\xac\x01\0\0\xbb\x01\0\0\xc2\x01\0\0\xdb\x01\0\0\xe1\x01\0\0\xfa\x01\0\0\x0d\
\x02\0\0\x13\x02\0\0\x27\x02\0\0\x35\x02\0\0\x39\x02\0\0\x44\x02\0\0\x49\x02\0\
\0\x53\x02\0\0\x5c\x02\0\0\x64\x02\0\0\x6c\x02\0\0\x81\x02\0\0\x8b\x02\0\0\x92\
\x02\0\0\x63\x6c\x61\x6e\x67\x20\x76\x65\x72\x73\x69\x6f\x6e\x20\x31\x39\x2e\
\x31\x2e\x30\x20\x28\x46\x65\x64\x6f\x72\x61\x20\x31\x39\x2e\x31\x2e\x30\x2d\
\x31\x2e\x66\x63\x34\x32\x29\0\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\
\x6c\x2f\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\
\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x62\x75\x69\x6c\x64\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2d\
\x72\x63\x37\x2d\x31\x38\x39\x2d\x67\x65\x38\x62\x64\x62\x33\x63\x38\x62\x65\
\x30\x38\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\x72\
\x63\x37\x2e\x32\x30\x32\x34\x31\x31\x31\x36\x67\x74\x65\x38\x62\x64\x62\x33\
\x63\x38\x2e\x35\x36\x32\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x34\x32\
\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\
\x74\x79\x70\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x42\x50\
\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x47\x4c\x4f\x42\x41\x4c\0\x42\x50\
\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x43\x50\x55\0\x42\x50\x45\x52\x46\
\x5f\x46\x49\x4c\x54\x45\x52\x5f\x50\x49\x44\0\x42\x50\x45\x52\x46\x5f\x46\x49\
\x4c\x54\x45\x52\x5f\x54\x47\x49\x44\0\x62\x70\x65\x72\x66\x5f\x66\x69\x6c\x74\
\x65\x72\x5f\x74\x79\x70\x65\0\x65\x6e\x61\x62\x6c\x65\x64\0\x69\x6e\x74\0\x4c\
\x49\x43\x45\x4e\x53\x45\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x64\x69\x66\x66\x5f\x72\x65\x61\
\x64\x69\x6e\x67\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\
\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x61\x63\
\x63\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x66\x69\x6c\x74\x65\x72\0\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\
\x6f\x72\x5f\x69\x64\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x36\
\x34\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\0\x5f\x5f\x5f\x5f\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x63\x74\x78\0\x66\
\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\0\x7a\x65\x72\x6f\0\x61\x63\x63\x75\x6d\
\x5f\x6b\x65\x79\0\x64\x69\x66\x66\x5f\x76\x61\x6c\0\x63\x6f\x75\x6e\x74\x65\
\x72\0\x72\x75\x6e\x6e\x69\x6e\x67\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\x5f\x76\x61\x6c\x75\x65\0\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\
\0\x64\x6f\x5f\x61\x64\x64\0\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x4c\0\0\0\
\x05\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb4\x02\0\0\xb4\x02\0\0\x0f\x04\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x06\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\
\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\
\0\x09\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\
\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x4c\0\0\0\0\0\0\x0e\x0d\
\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\
\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x5b\0\0\0\0\0\0\x0e\
\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\x62\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x75\0\0\0\x11\0\0\0\x79\0\0\0\x01\0\0\
\x0c\x13\0\0\0\x8d\x03\0\0\x04\0\0\x06\x04\0\0\0\x9f\x03\0\0\x01\0\0\0\xb3\x03\
\0\0\x02\0\0\0\xc4\x03\0\0\x03\0\0\0\xd5\x03\0\0\x04\0\0\0\x19\0\0\0\0\0\0\x0e\
\x15\0\0\0\x01\0\0\0\xe7\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xef\x03\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x0d\
\0\0\0\xf4\x03\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\xfc\x03\0\0\x02\0\0\x0f\0\0\0\
\0\x16\0\0\0\0\0\0\0\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\x01\x04\0\0\x03\0\0\
\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\0\
\0\0\0\0\x18\0\0\0\x07\x04\0\0\x01\0\0\x0f\0\0\0\0\x1a\0\0\0\0\0\0\0\x0d\0\0\0\
\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\
\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\
\0\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x61\x63\x63\x75\x6d\
\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x66\x69\x6c\x74\x65\x72\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\
\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x66\x65\x78\x69\x74\x2f\x58\x58\x58\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x62\x75\
\x69\x6c\x64\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2d\x72\x63\x37\
\x2d\x31\x38\x39\x2d\x67\x65\x38\x62\x64\x62\x33\x63\x38\x62\x65\x30\x38\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\x72\x63\x37\x2e\
\x32\x30\x32\x34\x31\x31\x31\x36\x67\x74\x65\x38\x62\x64\x62\x33\x63\x38\x2e\
\x35\x36\x32\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x34\x32\x2e\x61\x61\
\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\x2f\x75\x74\
\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x66\
\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x5f\x58\x58\x58\x29\0\x09\x5f\
\x5f\x75\x33\x32\x20\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x2c\x20\x7a\x65\
\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x21\x65\x6e\x61\x62\x6c\x65\
\x64\x29\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x74\x79\x70\x65\x29\x20\x7b\0\
\x09\x09\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\
\x64\x28\x29\x3b\0\x09\x09\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x09\x66\x69\x6c\
\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x26\
\x20\x30\x78\x66\x66\x66\x66\x66\x66\x66\x66\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\
\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x66\x69\x6c\x74\x65\x72\x2c\x20\x26\x66\x69\
\x6c\x74\x65\x72\x5f\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x61\x63\x63\
\x75\x6d\x5f\x6b\x65\x79\x29\0\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x20\x3d\x20\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\
\x28\x26\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x26\x7a\
\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x64\x69\x66\x66\x5f\x76\x61\x6c\
\x29\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x63\x63\
\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x61\x63\x63\x75\x6d\x5f\
\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x61\x63\x63\x75\x6d\x5f\x76\x61\
\x6c\x29\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\
\x65\x72\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\
\x6e\x74\x65\x72\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\
\x61\x62\x6c\x65\x64\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\
\x65\x6e\x61\x62\x6c\x65\x64\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\
\x3e\x72\x75\x6e\x6e\x69\x6e\x67\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\
\x6c\x2d\x3e\x72\x75\x6e\x6e\x69\x6e\x67\x3b\0\x62\x70\x65\x72\x66\x5f\x66\x69\
\x6c\x74\x65\x72\x5f\x74\x79\x70\x65\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\
\x45\x52\x5f\x47\x4c\x4f\x42\x41\x4c\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\
\x45\x52\x5f\x43\x50\x55\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\
\x50\x49\x44\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x54\x47\x49\
\x44\0\x65\x6e\x61\x62\x6c\x65\x64\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\
\x45\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xac\x01\0\0\xc0\x01\0\0\0\
\0\0\0\x08\0\0\0\x83\0\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\x83\0\0\0\x1a\
\0\0\0\0\0\0\0\x8d\0\0\0\x46\x01\0\0\0\x80\0\0\x08\0\0\0\x8d\0\0\0\x5e\x01\0\0\
\x14\x8c\0\0\x10\0\0\0\x8d\0\0\0\x7b\x01\0\0\x07\x98\0\0\x28\0\0\0\x8d\0\0\0\
\x7b\x01\0\0\x06\x98\0\0\x40\0\0\0\x8d\0\0\0\x8a\x01\0\0\x0a\xa4\0\0\x58\0\0\0\
\x8d\0\0\0\x8a\x01\0\0\x02\xa4\0\0\x78\0\0\0\x8d\0\0\0\x9b\x01\0\0\x10\xb8\0\0\
\x80\0\0\0\x8d\0\0\0\x9b\x01\0\0\x0e\xb8\0\0\x88\0\0\0\x8d\0\0\0\x8a\x01\0\0\
\x02\xa4\0\0\xa0\0\0\0\x8d\0\0\0\xc6\x01\0\0\x10\xd0\0\0\xa8\0\0\0\x8d\0\0\0\
\xc6\x01\0\0\x2b\xd0\0\0\xb8\0\0\0\x8d\0\0\0\xf7\x01\0\0\x10\xc4\0\0\xd8\0\0\0\
\x8d\0\0\0\x2f\x02\0\0\x0e\xe8\0\0\xf8\0\0\0\x8d\0\0\0\x67\x02\0\0\x06\xec\0\0\
\x10\x01\0\0\x8d\0\0\0\x78\x02\0\0\x0d\xfc\0\0\x30\x01\0\0\x8d\0\0\0\xb0\x02\0\
\0\x06\0\x01\0\x38\x01\0\0\x8d\0\0\0\xc0\x02\0\0\x0e\x0c\x01\0\x58\x01\0\0\x8d\
\0\0\0\xfe\x02\0\0\x06\x10\x01\0\x60\x01\0\0\x8d\0\0\0\x0f\x03\0\0\x22\x1c\x01\
\0\x68\x01\0\0\x8d\0\0\0\x0f\x03\0\0\x15\x1c\x01\0\x80\x01\0\0\x8d\0\0\0\x39\
\x03\0\0\x15\x20\x01\0\x88\x01\0\0\x8d\0\0\0\x39\x03\0\0\x22\x20\x01\0\x90\x01\
\0\0\x8d\0\0\0\x39\x03\0\0\x15\x20\x01\0\xa0\x01\0\0\x8d\0\0\0\x63\x03\0\0\x22\
\x24\x01\0\xa8\x01\0\0\x8d\0\0\0\x63\x03\0\0\x15\x24\x01\0\xc0\x01\0\0\x8d\0\0\
\0\x46\x01\0\0\x05\x80\0\0\x0c\0\0\0\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\
\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x29\x01\0\0\x05\0\x08\0\
\x9b\0\0\0\x08\x01\x01\xfb\x0e\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x01\x01\
\x1f\x05\0\0\0\0\x96\0\0\0\xa4\0\0\0\xbd\0\0\0\xce\0\0\0\x03\x01\x1f\x02\x0f\
\x05\x1e\x05\x5f\x01\0\0\0\x20\x93\xe3\xea\x93\xb2\x70\x98\xf9\x74\x73\xc6\x1b\
\xcd\xa2\x64\x82\x01\0\0\x01\x42\x72\xe3\xc0\xa3\x99\x50\xd2\xa0\xec\x80\x4e\
\xa2\xf5\xe1\x75\x8c\x01\0\0\x02\xb8\x10\xf2\x70\x73\x3e\x10\x63\x19\xb6\x7e\
\xf5\x12\xc6\x24\x6e\x97\x01\0\0\x03\xa5\xa8\xa4\xf9\x34\xaa\x57\x11\xde\xc2\
\x3f\xec\x64\x5c\x40\x01\xa9\x01\0\0\x04\xe3\x85\x68\xac\x7d\x6e\x7d\xad\x0d\
\x10\x6f\xf2\x76\x2f\x7c\x42\x04\0\0\x09\x02\0\0\0\0\0\0\0\0\x03\x1f\x01\x05\
\x14\x0a\x23\x05\x07\x23\x05\x06\x06\x3c\x03\x5a\x20\x05\x0a\x06\x03\x29\x2e\
\x05\x02\x06\x3c\x05\x10\x06\x4f\x05\x0e\x06\x20\x05\x02\x06\x1b\x05\x10\x03\
\x0b\x3c\x05\x2b\x06\x20\x05\x10\x06\x2b\x05\0\x06\x03\x4f\x20\x05\x0e\x06\x03\
\x3a\x3c\x05\x06\x4b\x06\x03\x45\x20\x05\x0d\x06\x03\x3f\x2e\x05\x06\x4b\x05\
\x0e\x23\x05\x06\x4b\x05\x22\x23\x05\x15\x06\x20\x06\x3d\x05\x22\x06\x20\x05\
\x15\x20\x05\x22\x06\x2f\x05\x15\x06\x20\x05\x05\x06\x03\x57\x3c\x02\x02\0\x01\
\x01\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x62\
\x75\x69\x6c\x64\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2d\x72\x63\
\x37\x2d\x31\x38\x39\x2d\x67\x65\x38\x62\x64\x62\x33\x63\x38\x62\x65\x30\x38\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\x72\x63\x37\
\x2e\x32\x30\x32\x34\x31\x31\x31\x36\x67\x74\x65\x38\x62\x64\x62\x33\x63\x38\
\x2e\x35\x36\x32\x2e\x76\x61\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x34\x32\x2e\x61\
\x61\x72\x63\x68\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x75\x74\
\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\
\x6c\x75\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\x75\x73\
\x72\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x62\x75\x69\x6c\x64\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2d\x72\x63\x37\x2d\x31\x38\x39\x2d\x67\
\x65\x38\x62\x64\x62\x33\x63\x38\x62\x65\x30\x38\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x30\x2e\x72\x63\x37\x2e\x32\x30\x32\x34\x31\x31\
\x31\x36\x67\x74\x65\x38\x62\x64\x62\x33\x63\x38\x2e\x35\x36\x32\x2e\x76\x61\
\x6e\x69\x6c\x6c\x61\x2e\x66\x63\x34\x32\x2e\x61\x61\x72\x63\x68\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\0\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\
\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\x66\x2e\
\x63\0\x62\x70\x65\x72\x66\x5f\x75\x2e\x68\0\x69\x6e\x74\x2d\x6c\x6c\x36\x34\
\x2e\x68\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\x66\x73\x2e\x68\
\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\x6e\x75\x78\x2f\
\x62\x70\x66\x2e\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf7\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x15\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x17\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\x01\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\xef\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xc9\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\
\x11\0\x07\0\x40\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x63\0\0\0\x11\0\x07\0\0\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x3d\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x01\0\0\0\x0c\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xd8\0\0\0\0\0\0\
\0\x01\0\0\0\x0e\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x38\x01\0\0\0\0\
\0\0\x01\0\0\0\x10\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\x04\0\0\0\x11\0\0\0\0\0\0\
\0\x03\0\0\0\x05\0\0\0\x15\0\0\0\0\0\0\0\x03\0\0\0\x09\0\0\0\x1f\0\0\0\0\0\0\0\
\x03\0\0\0\x07\0\0\0\x23\0\0\0\0\0\0\0\x03\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x0c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x1c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x20\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x24\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x28\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x2c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x30\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x34\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x38\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x3c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x40\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x44\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x48\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x4c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x54\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x58\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x5c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x60\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x64\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x68\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x6c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x70\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x74\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x78\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x7c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x84\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x88\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x8c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x90\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x94\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\x98\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x9c\0\0\0\0\0\0\0\x03\0\0\0\x06\0\0\0\xa0\0\0\0\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x0d\0\0\0\x10\0\0\0\0\0\0\0\
\x02\0\0\0\x0c\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x11\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x0f\0\0\0\x28\0\0\0\0\0\0\0\x02\0\0\0\x10\0\0\0\x30\0\0\0\0\0\0\0\
\x02\0\0\0\x0e\0\0\0\x38\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\
\x02\0\0\0\x02\0\0\0\x48\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x70\x02\0\0\0\0\0\0\
\x04\0\0\0\x0d\0\0\0\x7c\x02\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x94\x02\0\0\0\0\0\
\0\x04\0\0\0\x0f\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\xac\x02\0\0\0\0\
\0\0\x04\0\0\0\x0e\0\0\0\xc4\x02\0\0\0\0\0\0\x04\0\0\0\x11\0\0\0\x2c\0\0\0\0\0\
\0\0\x04\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xd0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xf0\0\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x10\x01\0\0\0\0\0\0\
\x04\0\0\0\x02\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x30\x01\0\0\0\0\0\
\0\x04\0\0\0\x02\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x50\x01\0\0\0\0\
\0\0\x04\0\0\0\x02\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x70\x01\0\0\0\
\0\0\0\x04\0\0\0\x02\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x90\x01\0\0\
\0\0\0\0\x04\0\0\0\x02\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xb0\x01\0\
\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\xd0\x01\
\0\0\0\0\0\0\x04\0\0\0\x02\0\0\0\x14\0\0\0\0\0\0\0\x03\0\0\0\x08\0\0\0\x18\0\0\
\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x22\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x26\0\0\0\
\0\0\0\0\x03\0\0\0\x0a\0\0\0\x2a\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x2e\0\0\0\0\
\0\0\0\x03\0\0\0\x0a\0\0\0\x32\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x3e\0\0\0\0\0\
\0\0\x03\0\0\0\x0a\0\0\0\x53\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x68\0\0\0\0\0\0\
\0\x03\0\0\0\x0a\0\0\0\x7d\0\0\0\0\0\0\0\x03\0\0\0\x0a\0\0\0\x92\0\0\0\0\0\0\0\
\x03\0\0\0\x0a\0\0\0\xac\0\0\0\0\0\0\0\x02\0\0\0\x02\0\0\0\x0b\x11\x0f\x10\x0e\
\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\x67\x5f\
\x6c\x6f\x63\x6c\x69\x73\x74\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\
\x73\x74\x72\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x2e\x62\x73\x73\0\x2e\x6d\x61\
\x70\x73\0\x61\x63\x63\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x64\x69\
\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x2e\x64\x65\x62\x75\x67\x5f\x73\
\x74\x72\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\x5f\x73\x74\x72\0\x66\
\x69\x6c\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x61\x64\x64\
\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\x2e\x6c\
\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x74\x79\x70\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\
\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\x65\x6e\
\x61\x62\x6c\x65\x64\0\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\
\x2e\x62\x70\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\
\x61\x62\0\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x2e\x72\x65\x6c\x66\x65\x78\
\x69\x74\x2f\x58\x58\x58\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\x43\x45\
\x4e\x53\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0c\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\x1e\0\0\0\0\0\0\x45\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x01\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb0\x17\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x1b\0\0\0\x03\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x49\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xc1\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x4e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\
\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x74\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x1c\x04\0\0\0\0\0\0\x7d\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x1b\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x99\x06\
\0\0\0\0\0\0\xa4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x32\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x18\0\0\0\0\0\0\
\x70\x02\0\0\0\0\0\0\x1b\0\0\0\x0c\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x71\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\x07\0\0\0\0\0\0\x9c\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x97\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd9\x09\0\0\0\0\0\0\x50\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x93\0\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x1a\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x1b\0\0\0\
\x0f\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x38\x01\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2c\x0a\0\0\0\0\0\0\xdb\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x50\x1b\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x1b\0\0\0\x11\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\x11\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x1b\0\
\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x1b\0\0\0\x13\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\xe2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x12\0\0\0\0\0\
\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x1d\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x1b\0\0\0\x15\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd2\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x13\0\0\0\0\0\0\x2d\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x80\x1d\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x1b\0\0\0\x17\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7c\0\0\0\x01\0\0\0\x30\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x3d\x14\0\0\0\0\0\0\xc2\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xb3\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\0\x30\x1e\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x14\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x16\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bperf_follower_bpf *bperf_follower_bpf::open(const struct bpf_object_open_opts *opts) { return bperf_follower_bpf__open_opts(opts); }
struct bperf_follower_bpf *bperf_follower_bpf::open_and_load() { return bperf_follower_bpf__open_and_load(); }
int bperf_follower_bpf::load(struct bperf_follower_bpf *skel) { return bperf_follower_bpf__load(skel); }
int bperf_follower_bpf::attach(struct bperf_follower_bpf *skel) { return bperf_follower_bpf__attach(skel); }
void bperf_follower_bpf::detach(struct bperf_follower_bpf *skel) { bperf_follower_bpf__detach(skel); }
void bperf_follower_bpf::destroy(struct bperf_follower_bpf *skel) { bperf_follower_bpf__destroy(skel); }
const void *bperf_follower_bpf::elf_bytes(size_t *sz) { return bperf_follower_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bperf_follower_bpf__assert(struct bperf_follower_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->type) == 4, "unexpected size of 'type'");
	_Static_assert(sizeof(s->bss->enabled) == 4, "unexpected size of 'enabled'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPERF_FOLLOWER_BPF_SKEL_H__ */
